  genericclass {
/*Background-------------------------------------*/
    background: <background-color> <background-image> <background-position> <background-repeat> <background-attachment>;
    background-color: <color>;
    background-image: none, url;
    background-position: top left, top center, top right, etc, <x> <y>;
    background-repeat: repeat, repeat-x, repeat-y, no-repeat;
    background-attachment: scroll, fixed;
/*Border-----------------------------------------*/
    border: border-width, border-style, border-color;
    border-width: thin, medium, thick;
    border-style: none, hidden, dotted, dashed, solid, double, groove, ridge, inset, outset;
    border-color: <color>;
    border-left: none;
    border-right: none;
    border-top: none;
    border-bottom: none;
/*Margin-----------------------------------------*/
    margin: <length>;
    margin-left: <length>;
    margin-right: <length>;
    margin-top: <length>;
    margin-bottom: <length>;
/*Padding----------------------------------------*/
    padding: <length>;
    padding-left: <length>;
    padding-right: <length>;
    padding-top: <length>;
    padding-bottom: <length>;
/*Text-------------------------------------------*/
    color: <color>;
    direction: ltr, rtl;
    letter-spacing: normal, <length>;
    text-align: left, right, center, justify;
    text-decoration: none, underline, overline, line-through, blink;
    text-indent: <length>;
    text-shadow: none, <color>, <length>;
    text-transform: none, capitalize, uppercase, lowercase;
    white-space: normal, pre, nowrap;
    word-spacing: normal, <length>;
/*Font-------------------------------------------*/
    font: <font-family>, etc;
    font-family: Verdana, serif, sans-serif;
    font-size: xx-small, x-small, small, medium, large, x-large, xxlarge, smaller, larger, <length>;
    font-size-adjust: none, <number>;
    font-stretch: normal, wider, narrower, ultra-condensed, extra-condensed, condensed, semi-condensed, semi-expanded, expanded, extra-expanded, ultra-expanded;
    font-style: normal, italic, oblique;
    font-variant: normal, small-caps;
    font-weight: lighter, normal, bold, bolder, 100, 900;
/*Positioning------------------------------------*/
    left: auto, <length>;
    right: auto, <length>;
    top: auto, <length>;
    bottom: auto, <length>;
    clip: auto, rect(<top>,<right>,<bottom>,<left>);
    overflow: auto, visible, hidden, scroll;
    position: static, absolute, relative, fixed;
    vertical-align: baseline, sub, super, top, text-top, middle, bottom, text-bottom, <length>;
    z-index: auto, <number>;
/*Dimension--------------------------------------*/
    height: auto, <length>;
    width: auto, <length>;
    line-height: normal, <length>;
    max-height: none, <length>;
    max-width: none, <length>;
    min-height: none, <length>;
    min-width: none, <length>;
  }
/*-----------------------------------------------*/
/*-----------------------------------------------*/

/*---TOPBAR-----------------------*/
  div.topbar {
    position: fixed;
    background: black;
    top: 0em;
    height: 1.5em;
    left: 0em;
    width: 100%;
    text-indent: 0.5em;
    font-size: 1.em;
  }
  div.topbar a {
    font-size: 0.8em;
    font-weight: bold;
  }
  div.topbar a:link {
    color: #ccccff;
  }
  div.topbar a:visited {
    color: #ccccff;
  }
  div.topbar a:active {
    color: #ccccff;
  }
/*---HEADERBAR--------------------*/
  div.headerbar {
    position: fixed;
    background: #00bbff;
    top: 0.75em;
    height: 2.9em;
    left: 0em;
    width: 100%;
    text-align: center;
    font-weight: bold;
    line-height: 2.9em;
    color: black;
    font-size: 2em ;
  }
/*---SIDEBAR----------------------*/
  div.sidebar {
    position: fixed;
    background: #00bbff;
    top: 9.1em;
    height: 100%;
    left: 0em;
    width: 13em;
    text-align: center;
    font-size: 0.8em;
    font-weight: bold;
    line-height: 2.5em;
  }
  div.sidebar ul {
    list-style-type: none;
    padding: 0.1em;
  }
  div.sidebar li {
    background: #123456;
    border: thin solid black;
    margin: 1em;
  }
  div.sidebar a {
    display: block;
    text-decoration: none;
  }
  div.sidebar a:link {
    color: #ffffcc;
  }
  div.sidebar a:visited {
    color: #ffffcc;
  }
  div.sidebar a:hover { 
    background: #ffffcc;
    color: #660000;
  }
  div.sidebar li.selected {
    background: #ffffcc;
  }
  li.selected a:visited {
    color: #660000;
  }
  li.selected a:link {
    color: #660000;
  }
/*---BOTTOMBAR--------------------*/
  div.bottombar {
    position: fixed;
    background: black;
    bottom: 0em;
    height: 1.5em;
    left: 0em;
    width: 100%;
    text-indent: 0.5em;
    font-size: 1.em;
  }
/*---BODY-------------------------*/
  body {
    padding-left: 11em;
    padding-right: 1em;
    padding-top: 8em;
    padding-bottom: 2em;
    font-family: Helvetica, sans-serif;
    color: black;
    background-color: white;
  }
  address {
    margin-top: 2em;
    padding-top: 0.5em;
    border-top: thin dotted;
    font-size: 1em;
  }
/*---HOME-------------------------*/
/*---PUBLICATIONS-----------------*/
  ol.pubs {
    font-family: times, serif;
  }
